Subject: Re: [PATCH net-next v2 0/2] RTAX_INITRWND should be able to bring the rcv_ssthresh above 64KiB

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Aug 2022 15:24:29 -0700

On Fri, 29 Jul 2022 16:39:33 +0200 Marek Majkowski wrote:
> This patch changes that. Now, by setting RTAX_INITRWND path attribute
> we bring up the initial rcv_ssthresh in line with the initrwnd
> value. This allows to increase the initial advertised receive window
> instantly, after first TCP RTT, above 64KiB.
> 
> With this change, the administrator can configure a route (or skops
> ebpf program) where the receive window is opened much faster than
> usual. This is useful on big BDP connections - large latency, high
> throughput - where it takes much time to fully open the receive
> window, due to the usual rcv_ssthresh cap.

Feels like we won't get enough review time here to make the current
merge window, so let me take this out of patchwork and let's switch 
to RFC postings.